curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments/order/{order_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
],
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Get payments for an order
Payments for order
GET
/
api
/
v1
/
payments
/
order
/
{order_id}
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments/order/{order_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
],
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Path parameters
string (uuid)
required
Order ID
Response
ApiResponse_Vec_PaymentResponse
object[]
array,null
string,null
boolean
required
Status codes
| Code | Meaning |
|---|---|
200 | Payments for order |
curl --request GET \
--url 'https://prod-api.stateset.cloud.stateset.app/api/v1/payments/order/{order_id}' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"data": [
{
"amount": "49.00",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"description": "Two-person tent, green — replacement for damaged pole set.",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"order_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"payment_method": "string",
"payment_method_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"processed_at": "2026-08-31T14:22:05Z",
"status": "pending"
}
],
"errors": [
"string"
],
"message": "Two-person tent, green — replacement for damaged pole set.",
"meta": {
"request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"timestamp": "2026-08-31T14:22:05Z"
},
"success": true
}
Last modified on August 31, 2026